summary | shortlog | log | commit | commitdiff | tree
raw | patch | inline | side by side (parent: db5b672)
raw | patch | inline | side by side (parent: db5b672)
author | opensides <opensides@594d385d-05f5-0310-b6e9-bd551577e9d8> | |
Tue, 8 Jan 2008 19:01:49 +0000 (19:01 +0000) | ||
committer | opensides <opensides@594d385d-05f5-0310-b6e9-bd551577e9d8> | |
Tue, 8 Jan 2008 19:01:49 +0000 (19:01 +0000) |
git-svn-id: https://oss.gonicus.de/repositories/gosa/branches/2.5@8256 594d385d-05f5-0310-b6e9-bd551577e9d8
fix_config.sh | [deleted file] | patch | blob | history |
update-config | [new file with mode: 0755] | patch | blob |
diff --git a/fix_config.sh b/fix_config.sh
--- a/fix_config.sh
+++ /dev/null
@@ -1,30 +0,0 @@
-#!/bin/sh
-
-CONF=/etc/gosa/gosa.conf
-cat << EOF
-
-This script will take your current $CONF and will update the menu and tab tags. It
-will not touch the parts you have touched between the main tabs. A backup copy is
-created.
-
-EOF
-read -n1 -sp "Do you want to continue? (y/n)" answer
-echo
-
-if [ "$answer" != "y" -a "$answer" != "Y" ]; then
- echo "Aborted."
- echo
- exit 1
-fi
-
-if [ ! -f $CONF ]; then
- echo "Can't find $CONF Aborted."
- echo
- exit 1
-fi
-
-cp $CONF $CONF.orig
-
-sed '/<main/,/\/main>/d;/<\/conf>/d' gosa.conf > $CONF
-sed -n '/<main/,/\/main>/p' $CONF.orig >> $CONF
-echo '</conf>' >> $CONF
diff --git a/update-config b/update-config
--- /dev/null
+++ b/update-config
@@ -0,0 +1,30 @@
+#!/bin/sh
+
+CONF=/etc/gosa/gosa.conf
+cat << EOF
+
+This script will take your current $CONF and will update the menu and tab tags. It
+will not touch the parts you have touched between the main tabs. A backup copy is
+created.
+
+EOF
+read -n1 -sp "Do you want to continue? (y/n)" answer
+echo
+
+if [ "$answer" != "y" -a "$answer" != "Y" ]; then
+ echo "Aborted."
+ echo
+ exit 1
+fi
+
+if [ ! -f $CONF ]; then
+ echo "Can't find $CONF Aborted."
+ echo
+ exit 1
+fi
+
+cp $CONF $CONF.orig
+
+sed '/<main/,/\/main>/d;/<\/conf>/d' gosa.conf > $CONF
+sed -n '/<main/,/\/main>/p' $CONF.orig >> $CONF
+echo '</conf>' >> $CONF